Relesys API Docs

v1.3

https://api.relesystest.net/api/v1.3

Comments

List
GET /contentmodules/{moduleId}/content/{contentId}/comments
https://api.relesystest.net/api/v1.3/contentmodules/{moduleId}/content/{contentId}/comments
Get a list of content comments.
Default sort is by creationDateTime in descending order.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentCommentId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"9b47981f-b838-454f-93c9-b2888a8473eb","url":null,"userId":"d2e7b071-b109-49d3-aa65-fe806d123144","userUrl":null,"parentCommentId":"f1e56131-5364-48e3-840c-6d2ee029f627","parentCommentUrl":null,"creationDateTime":"2026-04-16T10:43:18.7155344+00:00","lastModifiedDateTime":"2026-04-16T14:43:18.7155344+00:00","medias":[{"id":"a87f9173-5ea2-4002-8464-9cf38a893226","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"69b640e3-03a7-4a56-b18b-643420bc46eb","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]},{"id":"466e7115-5349-4778-930a-e4de1faadf92","url":null,"userId":"fd4be1d3-a16b-4c73-973a-0b0556cc2de6","userUrl":null,"parentCommentId":"5c547854-4934-4177-a7ba-9a75090808ba","parentCommentUrl":null,"creationDateTime":"2026-04-16T09:43:18.7155344+00:00","lastModifiedDateTime":null,"medias":null,"mentions":[{"type":"User","name":null,"id":"580a5483-569c-41ee-98e9-57861f7408fc","url":null},{"type":"Department","name":null,"id":"c515cf5a-2e4a-4ef4-be15-a7f173fcf96e","url":null},{"type":"User group","name":null,"id":"e3acb84b-fc72-4402-bed7-daabfad37135","url":null}],"locales":[{"culture":"en-GB","text":"Example text 2"}]}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    text string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string